Create New Campaign

Create a new campaign

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

You are only required to submit the following parameters to create a campaign:

  • name
  • zone_type
  • cpmv
  • daily_budget

The rest will be filled in via. defaults

PHP

Replace:
[CAMPAIGN_NAME] with your campaigns name
[ZONE_TYPE] with your campaigns zone - List campaign zone types
[TRAFFIC_TYPE] with your traffic type - List traffic types
[CPMV] with your cpmv (lowest 0.01)
[DAILY_BUDGET] with your daily budget - List campaign budgets
[PAGE_FREQ] with your page freq capping - List campaign page frequency capping
[USER_TIMES] with your uses frequency times - List campaign frequency times
[USER_HOUR] with your user frequency hour - List campaign frequency hour
[COUNTRIES] with your country targeting - List countries
[REGIONS] with your region targeting - List regions
[CITIES] with your city targeting - List cities
[LANGUAGES] with your language targeting - List languages
[OS] with your os targeting - List operating systems
[DEVICES] with your device targeting - List devices
[CARRIERS] with your carrier targeting - List carriers
[YOUR_API_TOKEN] with your token

<?php
  $params = array(
    'name'=>[CAMPAIGN_NAME],
    'zone_type'=>[ZONE_TYPE],
    'traffic_type'=>[TRAFFIC_TYPE],
    'cpmv'=>[CPMV],
    'daily_budget'=>[DAILY_BUDGET],
    'page_freq'=>[PAGE_FREQ],
    'user_freq_times'=>[USER_TIMES],
    'user_freq_hour'=>[USER_HOUR],
    'countries'=>[COUNTRIES],
    'regions'=>[REGIONS],
    'cities'=>[CITIES],
    'languages'=>[LANGUAGES],
    'os'=>[OS],
    'devices'=>[DEVICES],
    'carriers'=>[CARRIERS]
  );
  $curl = curl_init('https://<<domain>>/v1/advertiser/campaign/add/?token=[YOUR_API_TOKEN]');
  curl_setopt($this->curl, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($this->curl, CURLOPT_POST, true);
  curl_setopt($this->curl, CURLOPT_POSTFIELDS, $params);
  $response = curl_exec($curl);
  curl_close($curl);
  var_dump($response);
?>
Form Data
string

The name of your campaign

int32

The zone type ID

int32
Defaults to null

The traffic type ID Straight - 0, Gay - 1

double

Your specified CPMv (minimum 0.01)

int32

Budget amount = 10 - 50000

int32
Defaults to 1

Page frequency enabled

int32
Defaults to 9999

How many times per user per specified hours

int32
Defaults to 24

How many hours per cycle

string
Defaults to 9999

All targeted countries - All - 9999, otherwise command delimited e.g. 1,2,3

string
Defaults to 99999

All targeted regions - All - 99999, otherwise comma delimited e.,g. 1,2,3

string
Defaults to 999999

All targeted cities - All - 999999, otherwise comma delimited e.g. 1,2,3

string
Defaults to 9999

All targeted languages - All - 9999, otherwise command delimited e.g. 1,2,3

string
Defaults to 9999

All targeted os - All - 9999, otherwise command delimited e.g. 1,2,3

string
Defaults to 9999

All targeted devices - All - 9999, otherwise command delimited e.g. 1,2,3

string
Defaults to 9999

All targeted carriers - All - 9999, otherwise command delimited e.g. 1,2,3

string
Defaults to 9999

Hours of the day 0-23

string
Defaults to 9999

Hours of the day 0-23

string
Defaults to 9999

Hours of the day 0-23

string
Defaults to 9999

Hours of the day 0-23

string
Defaults to 9999

Hours of the day 0-23

string
Defaults to 9999

Hours of the day 0-23

string
Defaults to 9999

Hours of the day 0-23

string

Command delimited keywords: example, words, here

int32

A retargeting ID linked to your account

int32
Defaults to 2

0 - Normal / 2 - Flat Rate

int32
Defaults to 0

0 - All / 1 - Wifi / 2 - Carrier

int32
Defaults to 0

A white/black list ID linked to your account

Language
LoadingLoading…